geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jason Warner (JIRA)" <...@geronimo.apache.org>
Subject [jira] Updated: (DAYTRADER-58) org.apache.maven.lifecycle.LifecycleExecutionException: Couldn't find a version in [2.0.0] to match range [1.0,2.0)
Date Mon, 18 Feb 2008 18:40:34 GMT

     [ https://issues.apache.org/jira/browse/DAYTRADER-58?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jason Warner updated DAYTRADER-58:
----------------------------------

    Attachment: Daytrader-58.patch

I changed all the spec entries version requirements in the root pom to [1.0,2.1).

> org.apache.maven.lifecycle.LifecycleExecutionException: Couldn't find a version in [2.0.0]
to match range [1.0,2.0)
> -------------------------------------------------------------------------------------------------------------------
>
>                 Key: DAYTRADER-58
>                 URL: https://issues.apache.org/jira/browse/DAYTRADER-58
>             Project: DayTrader
>          Issue Type: Bug
>          Components: buildsystem
>    Affects Versions: 2.0
>            Reporter: Jason Warner
>             Fix For: 2.0
>
>         Attachments: Daytrader-58.patch
>
>
> Received the following stacktrace when trying to build from DayTrader trunk.
> org.apache.maven.lifecycle.LifecycleExecutionException: Couldn't find a version in [2.0.0]
to match range [1.0,2.0)
>   org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec:jar:null
> from the specified remote repositories:
>   central (http://repo1.maven.org/maven2),
>   apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>   apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>   codehaus-snapshots (http://snapshots.repository.codehaus.org),
>   apache-incubator (http://people.apache.org/repo/m2-incubating-repository/)
>         at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:556)
>         at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalWithLifecycle(DefaultLifecycleExecutor.java:480)
>         at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:459)
>         at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:311)
>         at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:278)
>         at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:143)
>         at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:334)
>         at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:125)
>         at org.apache.maven.cli.MavenCli.main(MavenCli.java:280)
>         at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>         at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
>         at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
>         at java.lang.reflect.Method.invoke(Method.java:585)
>         at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
>         at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
>         at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
>         at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
> Caused by: org.apache.maven.artifact.versioning.OverConstrainedVersionException: Couldn't
find a version in [2.0.0] to match range [1.0,2.0)
>   org.apache.geronimo.specs:geronimo-jaxrpc_1.1_spec:jar:null
> from the specified remote repositories:
>   central (http://repo1.maven.org/maven2),
>   apache.snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>   apache-snapshots (http://people.apache.org/repo/m2-snapshot-repository),
>   codehaus-snapshots (http://snapshots.repository.codehaus.org),
>   apache-incubator (http://people.apache.org/repo/m2-incubating-repository/)
>         at org.apache.maven.artifact.resolver.DefaultArtifactCollector.recurse(DefaultArtifactCollector.java:291)
>         at org.apache.maven.artifact.resolver.DefaultArtifactCollector.collect(DefaultArtifactCollector.java:74)
>         at org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolveTransitively(DefaultArtifactResolver.java:284)
>         at org.apache.maven.artifact.resolver.DefaultArtifactResolver.resolveTransitively(DefaultArtifactResolver.java:272)
>         at org.apache.maven.plugin.DefaultPluginManager.resolveTransitiveDependencies(DefaultPluginManager.java:1238)
>         at org.apache.maven.plugin.DefaultPluginManager.executeMojo(DefaultPluginManager.java:397)
>         at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoals(DefaultLifecycleExecutor.java:539)
>         ... 16 more

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message